SocketReceiver Class Reference
Inheritance diagram for SocketReceiver:

## Public Member Functions

| SocketReceiver (Socket &s)
bool | MustWaitForResult ()
bool | Receive (byte *buf, size_t bufLen)
| receive data from network source, returns whether result is immediately available
unsigned int | GetReceiveResult ()
bool | EofReceived () const
unsigned int | GetMaxWaitObjectCount () const
| maximum number of wait objects that this object can return
void | GetWaitObjects (WaitObjectContainer &container, CallStack const &callStack)
| put wait objects into container More...
virtual bool | MustWaitToReceive ()
bool | Wait (unsigned long milliseconds, CallStack const &callStack)
| wait on this object More...

## Detailed Description

Definition at line 126 of file socketft.h.

## Member Function Documentation

void SocketReceiver::GetWaitObjects | ( | WaitObjectContainer & | container,
|  | CallStack const & | callStack
| ) |  |

virtual

put wait objects into container

Parameters

  callStack

  is used for tracing no wait loops, example: something.GetWaitObjects(c, CallStack("my func after X", 0));
  - or in an outer GetWaitObjects() method that itself takes a callStack parameter: innerThing.GetWaitObjects(c, CallStack("MyClass::GetWaitObjects at X", &callStack));

Implements Waitable.

bool Waitable::Wait | ( | unsigned long | milliseconds,
|  | CallStack const & | callStack
| ) |  |

inherited

wait on this object

same as creating an empty container, calling GetWaitObjects(), and calling Wait() on the container

The documentation for this class was generated from the following file:

- socketft.h